commit:     af310e85ff9cff3853902d61fe8afd2446c507a4
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Thu Jan 14 21:19:31 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Thu Jan 14 21:19:31 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=af310e85

dev-python/specutils: bump python targets, add new deps

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/specutils/specutils-1.1.1.ebuild | 39 +++++++++++++++++++
 dev-python/specutils/specutils-9999.ebuild  | 58 -----------------------------
 2 files changed, 39 insertions(+), 58 deletions(-)

diff --git a/dev-python/specutils/specutils-1.1.1.ebuild 
b/dev-python/specutils/specutils-1.1.1.ebuild
new file mode 100644
index 000000000..24f1d3118
--- /dev/null
+++ b/dev-python/specutils/specutils-1.1.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Package for spectroscopic astronomical data"
+HOMEPAGE="https://github.com/astropy/specutils";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# Requires access to the internet
+RESTRICT="test"
+
+RDEPEND="
+       dev-python/asdf[${PYTHON_USEDEP}]
+       >=dev-python/astropy-4.0[${PYTHON_USEDEP}]
+       dev-python/astropy-helpers[${PYTHON_USEDEP}]
+       dev-python/gwcs[${PYTHON_USEDEP}]
+       dev-python/scipy[${PYTHON_USEDEP}]
+"
+
+# Bug: https://bugs.gentoo.org/703778
+#distutils_enable_sphinx docs dev-python/sphinx-astropy
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # do not depend on pytest-datafiles
+       sed -i -e '/addopts =/d' setup.cfg || die
+
+       distutils-r1_python_prepare_all
+}

diff --git a/dev-python/specutils/specutils-9999.ebuild 
b/dev-python/specutils/specutils-9999.ebuild
deleted file mode 100644
index e91b20477..000000000
--- a/dev-python/specutils/specutils-9999.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-PYTHON_COMPAT=( python{2_7,3_4} )
-inherit distutils-r1
-
-if [ ${PV} == "9999" ] ; then
-       inherit git-r3
-       EGIT_REPO_URI="https://github.com/astropy/${PN}.git";
-else
-       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-       KEYWORDS="~amd64"
-fi
-
-DESCRIPTION="Affiliated package for 1D spectral operations"
-HOMEPAGE="https://github.com/astropy/specutils";
-
-LICENSE="BSD"
-SLOT="0"
-IUSE="doc"
-DOCS=( README.rst )
-
-RDEPEND="
-       >=dev-python/astropy-0.4[${PYTHON_USEDEP}]
-       dev-python/astropy-helpers[${PYTHON_USEDEP}]
-       dev-python/matplotlib[${PYTHON_USEDEP}]
-       dev-python/numpy[${PYTHON_USEDEP}]"
-
-DEPEND="${RDEPEND}"
-
-python_prepare_all() {
-       distutils-r1_python_prepare_all
-       sed -e '/import ah_bootstrap/d' -i setup.py || die "Removing 
ah_bootstrap failed"
-}
-
-python_compile_all() {
-       if use doc; then
-               python_export_best
-               VARTEXFONTS="${T}"/fonts \
-                       MPLCONFIGDIR="${BUILD_DIR}" \
-                       PYTHONPATH="${BUILD_DIR}"/lib \
-                       esetup.py build_sphinx
-       fi
-}
-
-python_test() {
-       distutils_install_for_testing
-       cd "${TEST_DIR}" || die
-       "${EPYTHON}" -c "import ${PN}, sys;r = 
${PN}.test(verbose=True);sys.exit(r)" \
-               || die "tests fail with ${EPYTHON}"
-}
-
-python_install_all() {
-       use doc && local HTML_DOCS=( docs/_build/html/. )
-       distutils-r1_python_install_all
-}

Reply via email to